| Method | URI | Description |
|---|---|---|
| PUT | /v2/{tenant_id}/os-aggregates/{aggregate_id} | Updates the name, and optionally the availability zone, for a specified aggregate. |
Normal response codes: 200
This table shows the URI parameters for the update aggregate request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The ID associated with an aggregate. |
Example 3.123. Update aggregate: XML request
<?xml version="1.0" encoding="UTF-8"?> <aggregate name="newname" availability_zone="nova2" />
Example 3.124. Update aggregate: JSON request
{
"aggregate":
{
"name": "newname",
"availability_zone": "nova2"
}
}This operation does not require a request body.
Example 3.125. Update aggregate: XML response
<?xml version='1.0' encoding='UTF-8'?>
<aggregate>
<name>newname</name>
<availability_zone>nova2</availability_zone>
<deleted>False</deleted>
<created_at>2012-12-04 12:04:30.245284</created_at>
<updated_at>2012-12-04 12:04:30.357795</updated_at>
<hosts/>
<deleted_at>None</deleted_at>
<id>1</id>
<metadata>
<availability_zone>nova2</availability_zone>
</metadata>
</aggregate>Example 3.126. Update aggregate: JSON response
{
"aggregate": {
"availability_zone": "nova2",
"created_at": "2012-12-04T12:04:27.075065",
"deleted": false,
"deleted_at": null,
"hosts": [],
"id": 1,
"metadata": {
"availability_zone": "nova2"
},
"name": "newname",
"updated_at": "2012-12-04T12:04:27.242597"
}
}This operation does not return a response body.

